Bug 885344 (php-guzzle-Guzzle) - Review Request: php-guzzle-Guzzle - PHP HTTP client library and framework for building RESTful web service clients
Summary: Review Request: php-guzzle-Guzzle - PHP HTTP client library and framework for...
Keywords:
Status: CLOSED ERRATA
Alias: php-guzzle-Guzzle
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-channel-guzzle
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-08 19:32 UTC by Shawn Iwinski
Modified: 2013-03-09 19:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 02:34:50 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (54.56 KB, text/plain)
2013-01-28 08:23 UTC, Remi Collet
no flags Details
php-guzzle-Guzzle-review.txt (7.20 KB, text/plain)
2013-01-28 08:24 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2012-12-08 19:32:13 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-guzzle-Guzzle.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-guzzle-Guzzle-3.0.5-1.fc17.src.rpm

Description:
Guzzle takes the pain out of sending HTTP requests and the redundancy out
of creating web service clients.

Guzzle is a framework that includes the tools needed to create a robust web
service client, including: Service descriptions for defining the inputs and
outputs of an API, resource iterators for traversing paginated resources,
batching for sending a large number of requests as efficiently as possible.

* All the power of cURL with a simple interface
* Persistent connections and parallel requests
* Streams request and response bodies
* Service descriptions for quickly building clients
* Powered by the Symfony2 EventDispatcher
* Use all of the code or only specific components
* Plugins for caching, logging, OAuth, mocks, and more


Fedora Account System Username: siwinski

Comment 2 Remi Collet 2013-01-26 15:22:42 UTC
I notice upstream have release some new versions (latest is 3.1.1)

Do you plan an update before review ?

Comment 3 Shawn Iwinski 2013-01-26 16:52:25 UTC
(In reply to comment #2)
> I notice upstream have release some new versions (latest is 3.1.1)
> 
> Do you plan an update before review ?

Yes, I was already planning on trying to update this weekend.

Comment 5 Remi Collet 2013-01-28 08:23:49 UTC
Created attachment 688768 [details]
phpci.log

Comment 6 Remi Collet 2013-01-28 08:24:30 UTC
Created attachment 688769 [details]
php-guzzle-Guzzle-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 885344

Comment 7 Remi Collet 2013-01-28 08:27:42 UTC
MUST:

[!]: Package contains no bundled libraries.
	provides ...Guzzle/Http/Resources/cacert.pem
	should use /etc/pki/tls/cert.pem
	(ca-certificates on fedora, need to check on RHEL)
	See https://fedoraproject.org/wiki/Features/SharedSystemCertificates

	In source code Guzzle/Http/Client.php
	 $opts[CURLOPT_CAINFO] = __DIR__ . '/Resources/cacert.pem'
	This will obviously not work, with current version
	(should use data_dir).

	(this is not a library, but for security reason, using
	a bundled copy seems a very bad idea)

SHOULD: 

[!]: Latest version is packaged.
	3.1.2 is released

[!]: %check is present and all tests pass.
	as tests exists in upstream github, please
	ask upstream to include them in the tarball

Comment 8 Shawn Iwinski 2013-02-04 17:01:15 UTC
(In reply to comment #7)
> MUST:
> 
> [!]: Package contains no bundled libraries.
> 	provides ...Guzzle/Http/Resources/cacert.pem
> 	should use /etc/pki/tls/cert.pem
> 	(ca-certificates on fedora, need to check on RHEL)
> 	See https://fedoraproject.org/wiki/Features/SharedSystemCertificates
> 
> 	In source code Guzzle/Http/Client.php
> 	 $opts[CURLOPT_CAINFO] = __DIR__ . '/Resources/cacert.pem'
> 	This will obviously not work, with current version
> 	(should use data_dir).
> 
> 	(this is not a library, but for security reason, using
> 	a bundled copy seems a very bad idea)

Removed bundled cert


> SHOULD: 
> 
> [!]: Latest version is packaged.
> 	3.1.2 is released

Updated to 3.1.2


> [!]: %check is present and all tests pass.
> 	as tests exists in upstream github, please
> 	ask upstream to include them in the tarball

Will work with upstream to get tests included in PEAR package.



Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-guzzle-Guzzle.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-guzzle-Guzzle-3.1.2-1.fc18.src.rpm

Comment 9 Remi Collet 2013-02-06 07:35:34 UTC
[x]: Package contains no bundled libraries. => fixed
[x]: Latest version is packaged. => fixed

No blocker.

=== APPROVED ===

Comment 10 Shawn Iwinski 2013-02-06 14:34:52 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: php-guzzle-Guzzle
Short Description: PHP HTTP client library and framework for building RESTful web service clients
Owners: siwinski
Branches: f18 el6
InitialCC:

Comment 11 Gwyn Ciesla 2013-02-06 14:38:44 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-02-07 03:48:39 UTC
php-guzzle-Guzzle-3.1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-guzzle-Guzzle-3.1.2-1.el6

Comment 13 Fedora Update System 2013-02-07 03:48:51 UTC
php-guzzle-Guzzle-3.1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-guzzle-Guzzle-3.1.2-1.fc18

Comment 14 Fedora Update System 2013-02-08 02:18:31 UTC
php-guzzle-Guzzle-3.1.2-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 15 Fedora Update System 2013-02-16 04:06:44 UTC
php-guzzle-Guzzle-3.2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-guzzle-Guzzle-3.2.0-1.fc18

Comment 16 Fedora Update System 2013-02-16 04:07:02 UTC
php-guzzle-Guzzle-3.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-guzzle-Guzzle-3.2.0-1.el6

Comment 17 Fedora Update System 2013-02-26 02:34:52 UTC
php-guzzle-Guzzle-3.2.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 18 Fedora Update System 2013-03-09 19:18:46 UTC
php-guzzle-Guzzle-3.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.